<?php
/**
 * 2018 Paysera
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author Paysera <plugins@paysera.com>
 * @copyright 2018 Paysera
 * @license http://opensource.org/licenses/afl-3.0.php Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of Paysera
 */
namespace Paysera\Service\Resolver;

if (!defined('_PS_VERSION_')) {
    exit;
}

class DesiredCountryResolver
{
    /**
     * @var string
     */
    private $defaultCountry;

    /**
     * @param $defaultCountry
     */
    public function __construct($defaultCountry)
    {
        $this->defaultCountry = $defaultCountry;
    }

    /**
     * @param string $desiredCountry
     * @param array<int,string> $countries
     *
     * @return string
     */
    public function resolve($desiredCountry, array $countries)
    {
        if (in_array($desiredCountry, $countries, true)) {
            return $desiredCountry;
        }

        if (in_array($this->defaultCountry, $countries, true)) {
            return $this->defaultCountry;
        }

        return reset($countries);
    }
}
